import { CdkOverlayOrigin, ConnectedOverlayPositionChange } from '@angular/cdk/overlay';
import { ElementRef, EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { NtOverlayComponent, NtOverlayPosition } from '@ng-tangram/components/core';
export declare class NtPopConfirmComponent implements OnChanges {
    private _elementRef;
    readonly origin: CdkOverlayOrigin;
    private _title;
    private _template;
    title: string;
    template: TemplateRef<any> | null;
    popconfirm: string | TemplateRef<any>;
    position: NtOverlayPosition;
    confirmText: string;
    cancelText: string;
    confirm: EventEmitter<any>;
    cancel: EventEmitter<any>;
    afterOpen: EventEmitter<any>;
    afterClosed: EventEmitter<any>;
    beforeOpen: EventEmitter<any>;
    beforeClosed: EventEmitter<any>;
    positionChange: EventEmitter<ConnectedOverlayPositionChange>;
    overlay: NtOverlayComponent;
    constructor(_elementRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    _closeOverlay(event: Event, isConfirm: boolean): void;
    _afterOpen(event: any): void;
    _afterClosed(event: any): void;
    _beforeOpen(event: any): void;
    _beforeClosed(event: any): void;
    _positionChange(change: ConnectedOverlayPositionChange): void;
}
